package com.xiaoliu.protocol;


import java.io.File;

import static com.xiaoliu.protocol.command.Command.FILE_PACKET;


public class FilePacket extends Packet {

	File file;

	long fileLength;

	int ACK;

	@Override
	public Byte getCommand() {
		return FILE_PACKET;
	}

	public FilePacket() {
	}

	public FilePacket(File file) {
		this.file = file;
		this.fileLength = file.length();
	}

	public FilePacket(File file, int ACK) {
		this.file = file;
		this.fileLength = file.length();
		this.ACK = ACK;
	}

	public File getFile() {
		return file;
	}

	public void setFile(File file) {
		this.file = file;
	}

	public int getACK() {
		return ACK;
	}

	public void setACK(int ACK) {
		this.ACK = ACK;
	}

	public long getFileLength() {
		return fileLength;
	}

	public void setFileLength(long fileLength) {
		this.fileLength = fileLength;
	}
}
